Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.131207
Category:Mageia Linux Local Security Checks
Title:Mageia Linux Local Check: mgasa-2016-0053
Summary:Mageia Linux Local Security Checks mgasa-2016-0053
Description:Summary:
Mageia Linux Local Security Checks mgasa-2016-0053

Vulnerability Insight:
In socat before 2.0.0-b9, in the OpenSSL address implementation, the hard coded 1024 bit DH p parameter was not prime. It may be possible for an eavesdropper to recover the shared secret from a key exchange (CVE-2016-2217). In socat before 2.0.0-b9, a stack overflow vulnerability was found that can be triggered when command line arguments are longer than 512 bytes. This vulnerability can only be exploited when an attacker is able to inject data into socat's command line.

Solution:
Update the affected packages to the latest available version.

CVSS Score:
5.0

CVSS Vector:
AV:N/AC:L/Au:N/C:P/I:N/A:N

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2016-2217
https://security.gentoo.org/glsa/201612-23
http://www.openwall.com/lists/oss-security/2016/02/01/4
http://www.openwall.com/lists/oss-security/2016/02/04/1
CopyrightCopyright (C) 2016 Eero Volotinen

This is only one of 99761 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.